<bugID>1354068<Summary>Uninitialized rv in nsWebShellWindow.cpp</Summary><Description>From Coverity:

________________________________________________________________________________________________________
*** CID 1404859:  Uninitialized variables  (UNINIT)
/xpfe/appshell/nsWebShellWindow.cpp: 161 in nsWebShellWindow::Initialize(nsIXULWindow *, nsIXULWindow *, nsIURI *, int, int, bool, nsITabParent *, mozIDOMWindowProxy *, nsWidgetInitData &amp;)()
155         if (mWindow) {
156           rv = NS_OK;
157         }
158       } else {
159         mWindow = do_CreateInstance(kWindowCID, &amp;rv);
160       }
&gt;&gt;&gt;     CID 1404859:  Uninitialized variables  (UNINIT)
&gt;&gt;&gt;     Using uninitialized value "rv".
161       if (NS_OK != rv) {
162         return rv;
163       }
164     
165       /* This next bit is troublesome. We carry two different versions of a pointer
166          to our parent window. One is the parent window's widget, which is passed</Description></bugID>